import React, { Component } from 'react';


require('./MessagePanel.scss');


class MessagePanel extends Component {

	render() {
		return (
			<div className={ `message-panel ${ this.props.size || 'normal' }` }>
				<div>
					<h2>{ this.props.title }</h2>
					{ this.props.text ? <div>{ this.props.text }</div> : null }
					{ this.props.children ? <div>{ this.props.children }</div> : null }
				</div>
			</div>
		);
	}

}


export default MessagePanel;